View Issue Details

IDProjectCategoryView StatusLast Update
0004959Talerwire pluginspublic2017-06-06 14:18
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004959: wire plugins need a way to enumerate outgoing wire transfers as well
DescriptionThis capability is needed so that the auditor can check that the outgoing transfers that were supposed to be made, were made.
TagsNo tags attached.

Relationships

parent of 0004964 closedMarcello Stanisci bank needs API to query transaction history of user 
child of 0004958 closedChristian Grothoff need tool to verify exchange db wire details are consistent with bank wire details 
child of 0003464 closedChristian Grothoff Need a tool to import wire transfers from the bank 

Activities

Christian Grothoff

2017-05-04 18:31

manager   ~0012102

234dbcc..f4df63e adds support for /history to the libtalerbank-lib and to the wire plugin API. Fakebank support and testcases are still missing.

Christian Grothoff

2017-05-04 23:29

manager   ~0012106

/history support added to fakebank in 57964b6..1ea22a3.

Christian Grothoff

2017-05-04 23:53

manager   ~0012107

69fa9b4..ed1a4c0 links to the remaining issue: the tests need to check that the history which was returned is actually correct.

Christian Grothoff

2017-05-07 21:12

manager   ~0012114

56786ae..18a020d adds the required tests vs. fakebank. Does NOT yet pass against bank.

Christian Grothoff

2017-05-07 21:16

manager   ~0012116

This is now blocked on 0005005 / 0004964.

Christian Grothoff

2017-05-16 18:02

manager   ~0012137

What is now missing is an extension of the wire plugin testcase to test this functionality (against fakebank).

Christian Grothoff

2017-05-16 22:53

manager   ~0012138

Fixed in 5582381..fb381df

Issue History

Date Modified Username Field Change
2017-03-17 18:52 Christian Grothoff New Issue
2017-03-17 18:52 Christian Grothoff Status new => assigned
2017-03-17 18:52 Christian Grothoff Assigned To => Christian Grothoff
2017-03-17 18:53 Christian Grothoff Relationship added child of 0004948
2017-03-17 18:53 Christian Grothoff Relationship deleted child of 0004948
2017-03-17 18:53 Christian Grothoff Relationship added child of 0004958
2017-03-18 23:21 Christian Grothoff Relationship added parent of 0004964
2017-03-18 23:24 Christian Grothoff Assigned To Christian Grothoff =>
2017-03-18 23:24 Christian Grothoff Status assigned => confirmed
2017-03-18 23:24 Christian Grothoff Target Version 0.3 => 0.7
2017-04-02 00:42 Christian Grothoff Relationship added related to 0003464
2017-04-02 00:42 Christian Grothoff Relationship deleted related to 0003464
2017-04-02 00:42 Christian Grothoff Relationship added child of 0003464
2017-04-09 00:09 Christian Grothoff Assigned To => Christian Grothoff
2017-04-09 00:09 Christian Grothoff Status confirmed => assigned
2017-05-03 02:20 Christian Grothoff Target Version 0.7 => 0.3
2017-05-03 02:20 Christian Grothoff Priority normal => high
2017-05-04 18:31 Christian Grothoff Note Added: 0012102
2017-05-04 23:29 Christian Grothoff Note Added: 0012106
2017-05-04 23:53 Christian Grothoff Note Added: 0012107
2017-05-07 21:12 Christian Grothoff Note Added: 0012114
2017-05-07 21:16 Christian Grothoff Note Added: 0012116
2017-05-16 18:02 Christian Grothoff Note Added: 0012137
2017-05-16 22:53 Christian Grothoff Status assigned => resolved
2017-05-16 22:53 Christian Grothoff Resolution open => fixed
2017-05-16 22:53 Christian Grothoff Fixed in Version => 0.3
2017-05-16 22:53 Christian Grothoff Note Added: 0012138
2017-06-06 14:18 Christian Grothoff Status resolved => closed